=============================
utils
=============================

Utilities and helper functions.

Location: ``allianceauth.utils``

.. contents:: :local:


cache
===========

.. automodule:: allianceauth.utils.cache
    :members:
    :undoc-members:

testing
===========

.. automodule:: allianceauth.utils.testing
    :members:
    :exclude-members:  NoSocketsTestCase

    .. autoclass::  NoSocketsTestCase
        :no-members:
